WCS 1.1.1 Test Suite Release Notes

1.12 (2017-05-10)

  • #29 - wcs:DescribeCoverage_Response_InterpolationMethods test is faulty
  • #31 - wcs:DescribeCoverage_MissingVersion test is faulty

1.11 (2017-02-01)

  • #26 - Several tests fail as syntax for RangeSubset is erroneous
  • #27 - Several tests fail due to a InvocationTargetException

1.10 (2016-11-04)

  • #20 - wcs:GetCapabilities_AcceptVersions_0.0.0 test is faulty

1.9 (2016-09-01)

  • #19 - xml:lang attribute not accepted in ExceptionReport element
  • #21 - fails if first coverage has no Identifier

1.8 (2016-06-02)

  • #15 - mistaken assumption that HTTP POST endpoints are required
  • #16 - The wcs:DescribeCoverage_MissingVersion test have a version parameter

1.7 (2016-02-23)

  • #4 - Using more than one ows:BoundingBox in coverage description breaks GetCoverage tests
  • #2 - Arithmetic operator is not defined for arguments of types (xs:string, xs:string)
  • #13 - Master is not building due to wrong version of dependency

1.6 (2016-01-29)

  • #7 - Error - cannot find declaration of element Capabilities

1.5 (2015-07-30)

  • Update pom.xml to build with Maven 2

1.4 (2015-03-04)

  • 11 - Change versioning scheme

r3 (2015-02)

  • 9 - Fix link to GitHub page
  • 10 - Remove default URL

r2 (2015-02)

  • #3 - Invalid parameter value for Format
  • #1 - Cannot convert string to xs:decimal
  • #7 - Cannot find declaration of element Capabilities

r1 (2013-02-08)

  • [config.xml]: Updated for TEAM-Engine v4
  • [GetCoverage_MinimalRequest,GetCoverage_MissingIdentifier]: Fixed xpath errors “Arithmetic operator is not defined for arguments of types (xs:string, xs:string)”

r0 (2010-11-15)

  • added accept_versions to getcapabilities-main (issue #339)